
From: Coywolf Qi Hunt <coywolf@gmail.com>

Peter Chubb recently splitted out a standalone sys_ni.c file for the not
implemented syscalls.  This patch removes the redundant sys_delete_module()
in module.c.

Signed-off-by: Coywolf Qi Hunt <coywolf@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/module.c |    7 -------
 1 files changed, 7 deletions(-)

diff -puN kernel/module.c~removes-redundant-sys_delete_module kernel/module.c
--- 25/kernel/module.c~removes-redundant-sys_delete_module	2004-12-31 01:35:37.817905288 -0800
+++ 25-akpm/kernel/module.c	2004-12-31 01:35:37.822904528 -0800
@@ -681,13 +681,6 @@ static inline int use_module(struct modu
 static inline void module_unload_init(struct module *mod)
 {
 }
-
-asmlinkage long
-sys_delete_module(const char __user *name_user, unsigned int flags)
-{
-	return -ENOSYS;
-}
-
 #endif /* CONFIG_MODULE_UNLOAD */
 
 #ifdef CONFIG_OBSOLETE_MODPARM
_
